import request from '@/utils/request'

// 查询在线电子卡订单列表
export function listBBusiPaymentOrders(query) {
  return request({
    url: '/back/bBusiPaymentOrders/list',
    method: 'get',
    params: query
  })
}

// 查询在线电子卡订单详细
export function getBBusiPaymentOrders(id) {
  return request({
    url: '/back/bBusiPaymentOrders/' + id,
    method: 'get'
  })
}

// 新增在线电子卡订单
export function addBBusiPaymentOrders(data) {
  return request({
    url: '/back/bBusiPaymentOrders',
    method: 'post',
    data: data
  })
}

// 修改在线电子卡订单
export function updateBBusiPaymentOrders(data) {
  return request({
    url: '/back/bBusiPaymentOrders',
    method: 'put',
    data: data
  })
}

// 删除在线电子卡订单
export function delBBusiPaymentOrders(id) {
  return request({
    url: '/back/bBusiPaymentOrders/' + id,
    method: 'delete'
  })
}

// 导出在线电子卡订单
export function exportBBusiPaymentOrders(query) {
  return request({
    url: '/back/bBusiPaymentOrders/export',
    method: 'get',
    params: query
  })
}
